﻿using Blazor.Models;
using Blazor.ViewClasses;

namespace Blazor.Services
{
    public interface IDataService
    {
        Task Add(ChapterModel model);

        Task<int> Count();

        Task<List<Chapter>> List(int currentPage, int pageSize);

        Task<Chapter> GetById(int id);

        Task Update(int id, ChapterModel model);

        Task Delete(int id);
    }
}
